# Uses of Class
org.apache.lucene.search.DisiWrapper

Packages that use DisiWrapper
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of DisiWrapper in org.apache.lucene.search

  Fields in org.apache.lucene.search declared as DisiWrapper
  Modifier and Type
  Field
  Description
  `DisiWrapper`
  DisiWrapper.`next`
  Methods in org.apache.lucene.search that return DisiWrapper
  Modifier and Type
  Method
  Description
  `abstract DisiWrapper`
  DisiPriorityQueue.`add(DisiWrapper entry)`
  Add a `DisiWrapper` to this queue and return the top entry.
  `abstract DisiWrapper`
  DisiPriorityQueue.`pop()`
  Remove the top entry and return it.
  `abstract DisiWrapper`
  DisiPriorityQueue.`top()`
  Return top value in this heap, or null if the heap is empty.
  `abstract DisiWrapper`
  DisiPriorityQueue.`top2()`
  Return the 2nd least value in this heap, or null if the heap contains less than 2 values.
  `abstract DisiWrapper`
  DisiPriorityQueue.`topList()`
  Get the list of scorers which are on the current doc.
  `DisiWrapper`
  DisjunctionDISIApproximation.`topList()`
  Return the linked list of iterators positioned on the current doc.
  `abstract DisiWrapper`
  DisiPriorityQueue.`updateTop()`
  Rebalance this heap and return the top entry.
  Methods in org.apache.lucene.search with parameters of type DisiWrapper
  Modifier and Type
  Method
  Description
  `abstract DisiWrapper`
  DisiPriorityQueue.`add(DisiWrapper entry)`
  Add a `DisiWrapper` to this queue and return the top entry.
  `void`
  DisiPriorityQueue.`addAll(DisiWrapper[] entries, int offset, int len)`
  Bulk add.
  Method parameters in org.apache.lucene.search with type arguments of type DisiWrapper
  Modifier and Type
  Method
  Description
  `static DisjunctionDISIApproximation`
  DisjunctionDISIApproximation.`of(Collection<? extends DisiWrapper> subIterators, long leadCost)`
  Constructor parameters in org.apache.lucene.search with type arguments of type DisiWrapper
  Modifier
  Constructor
  Description
  ``
  `DisjunctionDISIApproximation(Collection<? extends DisiWrapper> subIterators, long leadCost)`